CFPRIME LINID                                                           LINID       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE LINID(N1,N2,MLIN,MCKT)                                 LINID       3
CD                                                                      LINID       4
CD    TO LOCATE THE REMOTE LINES USED BY THE USER DEFINE MODEL.         LINID       5
CD                                                                      LINID       6
      INCLUDE 'PARX.INS'                                                LINID       7
      INCLUDE 'CNPT.INS'                                                LINID       8
      INCLUDE 'CNIPTR.INS'                                              LINID       9
      INCLUDE 'CNLFDA.INS'                                              LINID      10
      INCLUDE 'CNMSG.INS'                                               LINID      11
C                                                                       LINID      12
      INTEGER*4 JCKID,MCKT(10)                                          LINID      13
C                                                                       LINID      14
      MLIN=0                                                            LINID      15
      JL=0                                                              LINID      16
      DO 100 I=1,NL                                                     LINID      17
      JL=JL+5                                                           LINID      18
      KK=LFTB(JL-3)                                                     LINID      19
      CALL UPACKI(NJ,NK,KK)                                             LINID      20
      NJ=NOLD(NJ)                                                       LINID      21
      NK=NOLD(NK)                                                       LINID      22
      IF((N1.EQ.NJ.AND.N2.EQ.NK).OR.(N1.EQ.NK.AND.N2.EQ.NJ)) THEN       LINID      23
         MLIN=MLIN+1                                                    LINID      24
         IF(MLIN.GT.10) THEN                                            LINID      25
            WRITE(MSG(1),1000) N1,N2                                    LINID      26
            CALL PRTMSG(1)                                              LINID      27
            MSG(1)=                                                     LINID      28
     *'LINID: USER DEFINED CONTROL MODEL HAS TOO MANY REMOTE LINES'     LINID      29
            CALL ASTOP(MSG(1),59)                                       LINID      30
         ENDIF                                                          LINID      31
         JCKID=LFTB(JL-4)                                               LINID      32
         MCKT(MLIN)=JCKID                                               LINID      33
      ENDIF                                                             LINID      34
  100 CONTINUE                                                          LINID      35
C                                                                       LINID      36
      RETURN                                                            LINID      37
C                                                                       LINID      38
 1000 FORMAT(' *** ERROR MORE THAN 10 BRANCHES EXIST BETWEEN NODES: '   LINID      39
     *,2I6)                                                             LINID      40
      END                                                               LINID      41
